Name:      qubes-mgmt-salt-base-overrides
Version:   4.0.2
Release:   1%{?dist}
Summary:   Custom modules to override existing Salt modules due to upstream bugs or implementation conflicts
License:   GPL 2.0
URL:	   http://www.qubes-os.org/

Group:     System administration tools
BuildArch: noarch
Requires:  salt
Requires:  salt-minion
Requires:  qubes-mgmt-salt-config
Requires:  qubes-mgmt-salt-base-overrides-libs


Source0: %{name}-%{version}.tar.gz

%description
Custom modules to override existing Salt modules due to upstream bugs or implementation conflicts

%package libs
Summary:   Qubes+Salt management override libs
Group:     System administration tools
Requires:  salt
Requires:  salt-minion
Requires:  qubes-mgmt-salt-config
Requires:  python
Requires:  python-wrapt
BuildRequires:  python2-devel

%description libs
Qubes+Salt management override libs.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --install-lib %{python2_sitelib} --root %{buildroot}
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} SYSCONFDIR=%{_sysconfdir}

%clean
rm -rf build/ *.pyc *.pyo *.o *.a *~

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%attr(750, root, root) %dir /srv/salt/_modules
/srv/salt/_modules/localemod.py*

%files libs
%{python2_sitelib}/qubessaltpatches/*
%{python2_sitelib}/qubessaltpatches*-*-py?.?.egg-info

%changelog
* Tue Oct 09 2018 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-mgmt-salt-base-overrides.git

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ac7827c
- version 4.0.2

* Tue Oct 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 24644e8
- rpm: don't rely on python -> python2 symlink

* Thu Apr 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce445e8
- travis: update fedora versions

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 9fb6131
- spec.in: add changelog placeholder

* Sun Mar 18 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 6ddef37
- Create .spec.in and Source0

* Wed Jul 05 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b79dc2c
- version 4.0.1

* Wed Jul 05 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7dbdf3f
- travis: add build of VM packages

* Sun May 28 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5b40406
- debian: fix packaging after renaming python module

* Mon May 22 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9fd4028
- travis: update to Qubes 4.0

* Sun May 21 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 093a761
- Backport fix for loading included configs

* Sun May 21 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b45f4cf
- Move salt patches out of qubes module

* Tue Jan 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3efd3ba
- travis: drop debootstrap workaround

* Wed Nov 30 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d0f9d97
- version 4.0.0

* Sat Aug 06 2016 Bahtiar `kalkin-` Gadimov <bahtiar@gadimov.de> - 1c539ea
- Make it work on R4

* Sun Jul 17 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a0e693c
- version 3.2.1

* Fri Jul 08 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b2638e7
- Drop post installation scripts at all

* Wed Jun 15 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1985b98
- Revert "rpm: use salt-call --local instead of qubesctl"

* Tue Jun 07 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0c46ae8
- version 3.2.0

* Fri Jun 03 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6cd6092
- rpm: use salt-call --local instead of qubesctl

* Fri Jun 03 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d161cd1
- travis: initial version

* Thu Jan 07 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d8938bc
- version 3.1.1

* Mon Dec 14 2015 Jason Mehring <nrgaway@gmail.com> - dd6ef65
- FORMULA: Use Makefile VARS for formula_dir, etc and re-ordered fields

* Mon Dec 14 2015 Jason Mehring <nrgaway@gmail.com> - 9d5f145
- Makefile:  Added a few formatting line feeds

* Mon Dec 14 2015 Jason Mehring <nrgaway@gmail.com> - 6b256ca
- rpm: Fixed a few typos

* Sat Nov 28 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e91ab5a
- version 3.1.0

* Mon Nov 23 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7613660
- rpm: set package release to static value

* Mon Nov 23 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 84f6e45
- makefile: add comments about files placed by mgmt-salt builder plugin

* Mon Nov 23 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4dc2c54
- rpm: make spec file parsing independent of Makefile.install

* Mon Nov 23 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4267df2
- Add explicit formula/pillar target path to FORMULA file

* Wed Oct 28 2015 Jason Mehring <nrgaway@gmail.com> - e6c24bc
- Packaging: Updated depends

* Thu Oct 15 2015 Jason Mehring <nrgaway@gmail.com> - 5d95f12
- Added 2 monkey-patching entries

* Thu Oct 15 2015 Jason Mehring <nrgaway@gmail.com> - de31a3b
- README.rst: Minor formatting change

* Mon Oct 12 2015 Jason Mehring <nrgaway@gmail.com> - d50e3c4
- Repackaged with updated depends, etc

* Mon Oct 12 2015 Jason Mehring <nrgaway@gmail.com> - f8b7250
- debian options: Updated excludes

* Mon Oct 12 2015 Jason Mehring <nrgaway@gmail.com> - 765e702
- Moved Makefile logic to shared Makefile in mgmt-salt

* Tue Oct 06 2015 Jason Mehring <nrgaway@gmail.com> - 627c36b
- Switched to new topd formuala to manage (enable/disable) states and new configuration manager

* Tue Oct 06 2015 Jason Mehring <nrgaway@gmail.com> - 8780ecc
- Prepare formula to use salt package manager in near future

* Sun Jul 05 2015 Jason Mehring <nrgaway@gmail.com> - 617c33b
- Initial formula package creation

* Thu Jul 02 2015 nrgaway <nrgaway@gmail.com> - df9beff
- Initial commit

